<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Estilos: Modelo de Cajas</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Estilos: Modelo de Cajas</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Modelo</h2>
      <ul class="lista">
        <li><span style="background-color: #f0fb9f;">&nbsp;&nbsp;</span> margin</li>
        <li><span style="color: black;">|</span> border-left</li>
        <li><span style="background-color: #978fd8;">&nbsp;&nbsp;</span> padding</li>
        <li><span style="background-color: #cff0fb;">&nbsp;&nbsp;</span> content</li>
      </ul>
      <h3>Representación:</h3>
      <div style="background-color: #f0fb9f; margin: auto; padding: 1em; width: 300px;">
        <div style="border: 2px solid;">
          <div style="background-color: #978fd8; padding: 1em;">
            <div style="background-color: #cff0fb;">contenido</div>
          </div>
        </div>
      </div>
      <h3>Resultado:</h3>
      <div style="margin: auto; width: 300px;">
        <div style="margin: 1em; padding: 1em;">
          contenido
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">border</span></h2>
      <ul class="lista">
        <li>Define la visualización del borde</li>
        <li>Forma abrevidada de:
          <ul>
            <li><span class="propiedad">border-width</span></li>
            <li><span class="propiedad">border-style</span></li>
            <li><span class="propiedad">border-color</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">border-width</span></h2>
      <ul class="lista">
        <li>Establece el grosor del borde</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">thin</span> <span style="border-style: solid; border-width: thin;">ejemplo</span></li>
            <li><span class="valor-css">medium</span> <span style="border-style: solid; border-width: medium;">ejemplo</span></li>
            <li><span class="valor-css">thick</span> <span style="border-style: solid; border-width: thick;">ejemplo</span></li>
            <li>Unidad de medida:
              <ul>
                <li>1 valor, para los 4 lados: <span style="border-style: solid; border-width: 2px;">2px</span></li>                
                <li>2 valores, para top-bottom y left-right: <span style="border-style: solid; border-width: 2px 4px;">2px 4px</span></li>
                <li>3 valores, para top, left-right y bottom: <span style="border-style: solid; border-width: 2px 4px 6px;">2px 4px 6px</span></li>
                <li>4 valores, para top, right, bottom y left: <span style="border-style: solid; border-width: 2px thick 6px 3px;">2px thick 6px 3px</span></li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">border-style</span></h2>
      <ul class="lista">
        <li>Establece el estilo del borde</li>
        <li>Valores:
          <div class="columnas-flex" style="width: 600px;">
            <ul>
              <li style="margin: .5em;"><span class="valor-css">none</span> <span style="border-style: none; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">hidden</span> <span style="border-style: hidden; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">dotted</span> <span style="border-style: dotted; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">dashed</span> <span style="border-style: dashed; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">solid</span> <span style="border-style: solid; border-width: .4em;">ejemplo</span></li>
            </ul>
            <ul>
              <li style="margin: .5em;"><span class="valor-css">double</span> <span style="border-style: double; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">groove</span> <span style="border-style: groove; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">ridge</span> <span style="border-style: ridge; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">inset</span> <span style="border-style: inset; border-width: .4em;">ejemplo</span></li>
              <li style="margin: .5em;"><span class="valor-css">outset</span> <span style="border-style: outset; border-width: .4em;">ejemplo</span></li>
            </ul>
          </div>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">border-color</span></h2>
      <ul class="lista">
        <li>Establece el color del borde</li>
        <li>Valores:
          <ul>
            <li>1 valor, para los 4 lados: <span style="border-color: red; border-style: solid; border-width: 4px;">red</span></li>                
            <li>2 valor, para top-bottom y left-right: <span style="border-color: red green; border-style: solid; border-width: 4px;">red green</span></li>
            <li>3 valor, para top, left-right y bottom: <span style="border-color: red green blue; border-style: solid; border-width: 4px;">red green blue</span></li>
            <li>4 valor, para top, right, bottom y left: <span style="border-color: red green blue black; border-style: solid; border-width: 4px;">red green blue black</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Aplicar a un solo lado</h2>
      <div class="columnas-flex">
        <div>
          <h3><span class="propiedad">border-width</span></h3>
          <ul class="lista">
            <li><span class="propiedad">border-top-width</span></li>
            <li><span class="propiedad">border-right-width</span></li>
            <li><span class="propiedad">border-bottom-width</span></li>
            <li><span class="propiedad">border-left-width</span></li>
          </ul>
        </div>
        <div>
          <h3><span class="propiedad">border-style</span></h3>
          <ul class="lista">
            <li><span class="propiedad">border-top-style</span></li>
            <li><span class="propiedad">border-right-style</span></li>
            <li><span class="propiedad">border-bottom-style</span></li>
            <li><span class="propiedad">border-left-style</span></li>
          </ul>
        </div>
        <div>
          <h3><span class="propiedad">border-color</span></h3>
          <ul class="lista">
            <li><span class="propiedad">border-top-color</span></li>
            <li><span class="propiedad">border-right-color</span></li>
            <li><span class="propiedad">border-bottom-color</span></li>
            <li><span class="propiedad">border-left-color</span></li>
          </ul>
        </div>          
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">Border-radius</span></h2>
      <ul class="lista">
        <li>Hace que las esquinas de los bordes sean redondeados</li>
        <li>Valor: Cualquier unidad de medida
          <div class="columnas-flex">
            <pre><code><span class="propiedad">border-radius:</span><span class="valor-css">10px;</span></code></pre>
            <p><span style="border-radius: 10px; border-style: solid; border-width: .2em; font-size: .6em;">Texto de ejemplo</span></p>
          </div>
        </li>
        <li>Se pueden establecer cada esquina por separado:
          <ul>
            <li style="margin: .5em;">
              <span class="propiedad">border-top-right-radius</span> 
              <span style="border-top-right-radius: 10px; border-style: solid; border-width: .2em;">ejemplo</span></li>
            <li style="margin: .5em;">
              <span class="propiedad">border-bottom-right-radius</span> 
              <span style="border-bottom-right-radius: 10px; border-style: solid; border-width: .2em;">ejemplo</span></li>
            <li style="margin: .5em;">
              <span class="propiedad">border-bottom-left-radius</span> 
              <span style="border-bottom-left-radius: 10px; border-style: solid; border-width: .2em;">ejemplo</span></li>
            <li style="margin: .5em;">
              <span class="propiedad">border-top-left-radius</span> 
              <span style="border-top-left-radius: 10px; border-style: solid; border-width: .2em;">ejemplo</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section class="no-print pt-2" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Enlazar un nuevo fichero de estilos</li>
        <li>Aplicar los estilos para que el resultado se parezca lo más posible:
          <ul>
            <li><span class="etiqueta">h1</span>, fondo azul claro</li>
            <li><span class="etiqueta">h1</span>, bordes de tamaño thick y esquinas redondeadas</li>
            <li><span class="etiqueta">h1</span>, borde derecho e izquierdo normal y arriba y abajo doble</li>
            <li><span class="etiqueta">h1</span>, cada uno de los bordes de un color distinto</li>
            <li><span class="etiqueta">article</span>, borde grove y fondo verde claro</li>
            <li><span class="etiqueta">h2</span>, borde inferior de puntos rojos</li>
            <li><span class="selector">logo aulas sin frontera</span>, fondo blanco y borde negro normal</li>
            <li><span class="selector">logo kimu digitalak</span>, fondo color del cielo de la imagen</li>
            <li><span class="selector">logo kimu digitalak</span>, borde negro normal con un radio del 100%</li>
          </ul>
        </li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio18/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio18/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">margin</span></h2>
      <ul class="lista">
        <li>Establece la separación con los elementos adyacentes</li>
        <li>Margenes vericales adjacentes se solapan (queda el mayor)</li>
        <li>Elementos en linea, no aplican superior e inferior</li>
        <li>Valores: unidad de medida,
          <ul>
            <li>1 valor, para los 4 lados</li>
            <li>2 valor, para top-bottom y left-right</li>
            <li>3 valor, para top, left-right y bottom</li>
            <li>4 valor, para top, right, bottom y left</li>
            <li>valor especial, <span class="valor-css">auto</span>, en left-right <strong>centra</strong></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Ejemplos <span class="propiedad">margin</span></h2>
      <div style="background-color: #cecece;">
        <h3>Elemento de bloque</h3>
        <div style="background-color: red; margin: 10px;">Contenido 10px</div>
        <div style="background-color: red; margin: 10px 5px;">Contenido 10px 5px</div>
        <div style="background-color: red; margin: 10px 5px 15px;">Contenido 10px 5px 15px</div>
        <div style="background-color: red; margin: 10px 5px 15px 8px;">Contenido 10px 5px 15px 8px</div>
      </div>
      <div style="background-color: #cecece; margin:auto; text-align: left; width: 400px;">
        <h3>Elemento de linea</h3>
        <span style="background-color: red; margin: 10px;">Contenido 10px</span>
        <span style="background-color: red; margin: 10px 5px;">Contenido 10px 5px</span>
        <span style="background-color: red; margin: 10px 5px 15px;">Contenido 10px 5px 15px</span>
        <span style="background-color: red; margin: 10px 5px 15px 8px;">Contenido 10px 5px 15px 8px</span>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Aplicar a un solo lado</h2>
      <ul class="lista">
        <li><span class="propiedad">margin-top</span></li>
        <li><span class="propiedad">margin-right</span></li>
        <li><span class="propiedad">margin-bottom</span></li>
        <li><span class="propiedad">margin-left</span></li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Aplicar los estilos para que el resultado se parezca lo más posible:
          <ul>
            <li><span class="etiqueta">h1</span>-<span class="etiqueta">h6</span> tamaño de letra 2.5em, 2.25em, 2em, 1.75em, 1.5em y 1.25em</li>
            <li><span class="etiqueta">h1</span>-<span class="etiqueta">h6</span> margen superior e inferior .8em, .7em, .6em, .5em, .4em y .3em</li>
            <li><span class="etiqueta">blockquote</span>, margen superior e inferior de 10px y lateral de 20px</li>
            <li><span class="etiqueta">img</span>, margen de 1em</li>
            <li><span class="etiqueta">li</span>, margen superior e inferior de 10px y lateral de 20px</li>
            <li><span class="etiqueta">p</span>, margen superior e inferior de 0 y lateral de 16px</li>
          </ul>
        </li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio19/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio19/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>
    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">padding</span></h2>
      <ul class="lista">
        <li>Establece la separación entre el borde y el contenido</li>
        <li>Valores: unidad de medida,
          <ul>
            <li>1 valor, para los 4 lados</li>
            <li>2 valor, para top-bottom y left-right</li>
            <li>3 valor, para top, left-right y bottom</li>
            <li>4 valor, para top, right, bottom y left</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Ejemplos <span class="propiedad">padding</span></h2>
      <div style="background-color: #cecece;">
        <h3>Elemento de bloque</h3>
        <div style="background-color: red; padding: 10px;">Contenido 10px</div>
        <div style="background-color: red; padding: 10px 5px;">Contenido 10px 5px</div>
        <div style="background-color: red; padding: 10px 5px 15px;">Contenido 10px 5px 15px</div>
        <div style="background-color: red; padding: 10px 5px 15px 8px;">Contenido 10px 5px 15px 8px</div>
      </div>
      <div style="background-color: #cecece;">
        <h3>Elemento de linea</h3>
        <span style="background-color: red; padding: 10px;">Contenido 10px</span>
        <span style="background-color: red; padding: 10px 5px;">Contenido 10px 5px</span>
        <span style="background-color: red; padding: 10px 5px 15px;">Contenido 10px 5px 15px</span>
        <span style="background-color: red; padding: 10px 5px 15px 8px;">Contenido 10px 5px 15px 8px</span>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Aplicar a un solo lado</h2>
      <ul class="lista">
        <li><span class="propiedad">padding-top</span></li>
        <li><span class="propiedad">padding-right</span></li>
        <li><span class="propiedad">padding-bottom</span></li>
        <li><span class="propiedad">padding-left</span></li>
      </ul>
    </section>

    <section class="no-print pt-2" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Aplicar los estilos para que el resultado se parezca lo más posible:
          <ul>
            <li>Alinear el texto de todo el documento a justificado</li>
            <li>Alinear el header al centro y poner un borde en la parte inferior</li>
            <li><span class="etiqueta">h1</span>, poner small-caps y un tamaño de fuente de 3em</li>
            <li><span class="etiqueta">h2</span>, transformar las letras a mayúsculas</li>
            <li><span class="etiqueta">strong</span>, color verde y en negrita</li>
            <li>La parte de <span class="selector">contacto</span> (bajo el título), en cursiva</li>
            <li>Los contenidos de Experienca y Educación:
              <ul>
                <li>Margen superior e inferior de 10px y un padding izquierdo de 20px;</li>
                <li>La fecha en negrita</li>
                <li>El título con tamaño de letra 1.2em</li>
                <li>Los tres bloques con margen a 0</li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio20/docs/resultado.pdf?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">width</span></h2>
      <ul class="lista">
        <li>Establece el ancho de un elemento</li>
        <li>Valor: unidad de medida
          <ul>
            <li>Para elemento de bloque, por defecto es todo el ancho</li>
            <li>No aplica para elementos en linea</li>
            <li>El porcentaje es sobre el elemento padre</li>
          </ul>
        </li>
      </ul>
      <h3>Ejemplos:</h3>
      <div style="border: thick solid; margin: 1em;">Div sin width</div>
      <div style="border: thick solid; margin: 1em; width: 100px;">Div 100px</div>
      <div style="border: thick solid; margin: 1em; width: 500px;">Div 500px</div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">height</span></h2>
      <ul class="lista">
        <li>Establece el alto de un elemento</li>
        <li>Valor: unidad de medida
          <ul>
            <li>Por defecto depende del contenido</li>
            <li>No aplica para elementos en linea</li>
            <li>El porcentaje es sobre el elemento padre</li>
          </ul>
        </li>
      </ul>
      <h3>Ejemplos:</h3>
      <div style="border: thick solid; margin: 1em;">Div sin height</div>
      <div style="border: thick solid; margin: 1em; height: 10px;">Div 10px</div>
      <div style="border: thick solid; margin: 1em; height: 50px;">Div 50px</div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Tamaño en imagenes</h2>
      <ul class="lista">
        <li>Si <span class="etiqueta">img</span> no tiene <span class="propiedad">width</span> y <span class="propiedad">height</span>:
          <ul>
            <li>Al informar <span class="propiedad">width</span> o <span class="propiedad">height</span> (solo una), mantiene proporción</li>
            <li>Al informar ambas, fuerza la imagen</li>
          </ul>
        </li>
        <li>Si <span class="etiqueta">img</span> tiene informada alguna propiedad:
          <ul>
            <li>Prioridad css, al informar la misma propiedad la sobreescribe</li>
            <li>Si son distintas, mantiene ambas</li>
            <li>Ejemplos:
              <ul>
                <li>Si <span class="etiqueta">img</span> tiene <span class="propiedad">width</span> e informamos <span class="propiedad">height</span> mantiene ambas</li>
                <li>Si <span class="etiqueta">img</span> tiene <span class="propiedad">width</span> e informamos <span class="propiedad">width</span> sobreescribe</li>
                <li>Si <span class="etiqueta">img</span> tiene <span class="propiedad">height</span> e informamos <span class="propiedad">height</span> sobreescribe</li>
                <li>Si <span class="etiqueta">img</span> tiene <span class="propiedad">height</span> e informamos <span class="propiedad">width</span> mantiene ambas</li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Ejemplos tamaño en imágenes</h2>
      <ul class="lista">
        <li>Imagen sin tamaño: <span class="etiqueta" style="background-color: #eeeeee;">img</span>
          <ul>
            <li><span class="propiedad">width:</span> <span class="valor-css">20px;</span> <img src="img/page.png" alt="carpeta" style="width: 20px;"></li>
            <li><span class="propiedad">height:</span> <span class="valor-css">15px;</span> <img src="img/page.png" alt="carpeta" style="height: 15px;"></li>
            <li><span class="propiedad">width:</span> <span class="valor-css">20px;</span> y <span class="propiedad">height:</span> <span class="valor-css">15px;</span> <img src="img/page.png" alt="carpeta" style="height: 15px; width: 20px;"></li>
          </ul>
        </li>
        <li>Imagen con tamaño: <span class="etiqueta" style="background-color: #eeeeee;">img <span class="propiedad">height</span>=<span class="valor">"35"</span> <span class="propiedad">width</span>=<span class="valor">"25"</span></span> <img src="img/page.png" alt="carpeta" height="35" width="25">
          <ul>
            <li><span class="propiedad">width:</span> <span class="valor-css">20px;</span> <img src="img/page.png" alt="carpeta" height="35" width="25" style="width: 20px;"></li>
            <li><span class="propiedad">height:</span> <span class="valor-css">15px;</span> <img src="img/page.png" alt="carpeta" height="35" width="25" style="height: 15px;"></li>
            <li><span class="propiedad">width:</span> <span class="valor-css">20px;</span> y <span class="propiedad">height:</span> <span class="valor-css">15px;</span> <img src="img/page.png" alt="carpeta" height="35" width="25" style="height: 15px; width: 20px;"></li>
          </ul>
        </li>
      </ul>
      
    </section>

    <section data-bespoke-state='clean'>
      <h2>Tamaño máximo y mínimo</h2>
      <div>
        <ul class="lista">
          <li><span class="propiedad">min-width</span></li>
          <li><span class="propiedad">min-height</span></li>
          <li><span class="propiedad">max-width</span></li>
          <li><span class="propiedad">max-height</span></li>
        </ul>
      </div>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejemplo max I</h2>
      <p><span class="propiedad">width</span>=<span class="valor-css">50%;</span> y  ambos max a <span class="valor-css">400px</span></span></p>
      <img src="img/dom.png" style="padding-bottom: 100px; box-sizing: border-box; width: 50%; max-height:400px; max-width: 400px;">
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejemplo max II</h2>
      <p><span class="propiedad">height</span>=<span class="valor-css">100%;</span> y  ambos max a <span class="valor-css">400px</span></span></p>
      <img src="img/dom.png" style="padding-bottom: 100px; box-sizing: border-box; height: 100%; max-height:400px; max-width: 400px;">
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejemplo min I</h2>
      <p><span class="propiedad">width</span>=<span class="valor-css">50%;</span> y  ambos min a <span class="valor-css">300px</span></span></p>
      <img src="img/dom.png" style="padding-bottom: 100px; box-sizing: border-box; width: 50%; min-height:300px; min-width: 300px;">
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejemplo min II</h2>
      <p><span class="propiedad">height</span>=<span class="valor-css">100%;</span> y  ambos min a <span class="valor-css">300px</span></span></p>
      <img src="img/dom.png" style="padding-bottom: 100px; box-sizing: border-box; height: 100%; min-height:300px; min-width: 300px;">
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Enlazar una fuente y aplicarla a los títulos</li>
        <li><span class="etiqueta">h1</span>, texto centrado y en <span class="valor-css">small-caps</span></li>
        <li><span class="etiqueta">h2</span>, reducir los márgenes superior e inferior</li>
        <li><span class="etiqueta">h2</span>, aplicar un ancho de <span class="valor-css">30%</span> y un borde inferior</li>
        <li><span class="etiqueta">img</span>, que tengan un ancho de <span class="valor-css">30%</span> y que el ancho mínimo sea de <span class="valor-css">200px</span></li>
        <li>Imagen del resultado, ancho de <span class="valor-css">50%</span></li>
        <li>Sección de los ingredientes, ancho de <span class="valor-css">50%</span> y como mínimo <span class="valor-css">175px</span></li>
        <li>Sección de los ingredientes, <span class="propiedad">padding</span> de <span class="valor-css">1em</span> y un color de fondo</li>
      </ul>
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio21/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio21/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">overflow</span></h2>
      <ul class="lista">
        <li>Establece qué hacer con el contenido excedente</li>
        <li>Valores:
          <ul>
            <li><strong><span class="valor-css">visible</span></strong>, muestra todo (por defecto)</li>
            <li><span class="valor-css">hidden</span></strong>, oculta lo que se salga</li>
            <li><span class="valor-css">scroll</span></strong>, muestra siempre un scroll</li>
            <li><span class="valor-css">auto</span></strong>, muestra scroll cuando hay excedente</li>
          </ul>
        </li>
      </ul>
      <p style="border: 1px solid; font-size: 1em; height: 22px; margin:.2em; padding: .2em;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Alias, reiciendis placeat quae debitis aperiam illo ab molestias autem deserunt ea voluptatem distinctio mollitia fugit aut cumque doloribus quas natus molestiae.</p>
      <p style="border: 1px solid; font-size: 1em; height: 22px; margin:.2em; overflow: hidden; padding: .2em;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Alias, reiciendis placeat quae debitis aperiam illo ab molestias autem deserunt ea voluptatem distinctio mollitia fugit aut cumque doloribus quas natus molestiae.</p>
      <p style="border: 1px solid; font-size: 1em; height: 22px; margin:.2em; overflow: scroll; padding: .2em;">Lorem ipsum dolor sit amet consectetur adipisicing elit. </p>
      <p style="border: 1px solid; font-size: 1em; height: 22px; margin:.2em; overflow: auto; padding: .2em;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Alias, reiciendis placeat quae debitis aperiam illo ab molestias autem deserunt ea voluptatem distinctio mollitia fugit aut cumque doloribus quas natus molestiae.</p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">overflow-x</span></h2>
      <ul class="lista">
        <li>Aplica los mismos valores que <span class="propiedad">overflow</span> pero solo en horizontal</li>
      </ul>
      <div style="margin:auto; overflow-x: scroll; width: 200px;">
        <p style="width: 300px;">Texto de ejemplo overflow-x</p>
      </div>
      <h2><span class="propiedad">overflow-y</span></h2>
      <ul class="lista">
        <li>Aplica los mismos valores que <span class="propiedad">overflow</span> pero solo en vertical</li>
      </ul>
      <p style="margin:auto; height: 2em; overflow-x: hidden; overflow-y: scroll; width: 200px;">Texto de ejemplo overflow-y</p>
    </section>

    <section class="no-print" data-bespoke-state='clean' class="pt-2">
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Establecer los estilos necesarios para que se parezca lo máximo posible al resultado</li>
        <li><span class="etiqueta">body</span>, ancho del 80%, alto de 85vh, tamaño de letra 120% y margin auto</li>
        <li><span class="etiqueta">main</span>, overflow auto y altura del 100%</li>
        <li><span class="etiqueta">h1</span>, margenes a 0</li>
        <li><span class="etiqueta">article</span>, padding 1em</li>
        <li><span class="etiqueta">section</span>, máxima altura de 150px, margin y overflow auto y ancho de 80%</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio22/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio22/docs/resultado.pdf?inline=false">Resultado</a>
      </p>
    </section>

    <section class="pt-2" data-bespoke-state='clean'>
      <h2><span class="propiedad">float</span></h2>
      <ul class="lista">
        <li>Hace que los elementos adyacentes "fluyan" a lo largo del elemento</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">left</span>, el elemento se situa a la izquierda</li>
            <li><span class="valor-css">right</span>, el elemento se situa a la derecha</li>
          </ul>
        </li>
      </ul>
      <h3>Ejemplo</h3>
      <img src="https://picsum.photos/200" style="float: left;">
      <img src="https://picsum.photos/200" style="float: right;">
      <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Officia accusantium asperiores labore laudantium corporis. Dolor est vero excepturi cum reiciendis? Expedita dolorum soluta ducimus facere autem perspiciatis aliquam quibusdam optio?</p>
    </section>

    <section class="pt-2" data-bespoke-state='clean'>
      <h2><span class="propiedad">clear</span></h2>
      <ul class="lista">
        <li>Elimina el <span class="propiedad">float</span> que indiquemos</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">left</span>, evita que haya elementos <span class="propiedad">float</span> a la izquierda</li>
            <li><span class="valor-css">right</span>, evita que haya elementos <span class="propiedad">float</span> a la derecha</li>
            <li><span class="valor-css">both</span>, evita que haya elementos <span class="propiedad">float</span></li>
            <li><span class="valor-css"><strong>none</strong></span>, permite que haya elementos <span class="propiedad">float</span> (por defecto)</li>
          </ul>
        </li>
      </ul>
      <h3>Ejemplo</h3>
      <img src="https://picsum.photos/100" style="float: left;">
      <img src="https://picsum.photos/100" style="float: right;">
      <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Officia accusantium asperiores labore laudantium corporis.</p>
      <p style="clear: both;">Dolor est vero excepturi cum reiciendis? Expedita dolorum soluta ducimus facere autem perspiciatis aliquam quibusdam optio?</p>
    </section>
    
    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">box-sizing</span></h2>
      <ul class="lista">
        <li>Establece como se mide el tamaño del elemento</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css"><strong>content-box</strong></span>, el <span class="propiedad">width</span> y <span class="propiedad">height</span> es el del contenido</li>
            <li><span class="valor-css"><strong>border-box</strong></span>, el <span class="propiedad">width</span> y <span class="propiedad">height</span> incluye los márgenes</li>
          </ul>
        </li>
      </ul>
      <div>
        <p style="border: 1px solid; box-sizing: content-box; margin: auto; padding: 1em; width: 300px;">Texto con width 300px y <span class="propiedad">box-sizing</span> a <span class="valor-css">content-box</span></p>
        <p style="border: 1px solid; box-sizing: border-box; margin: auto; padding: 1em; width: 300px;">Texto con width 300px y <span class="propiedad">box-sizing</span> a <span class="valor-css">border-box</span></p>
      </div>
    </section>


    <section class="no-print" data-bespoke-state='clean' class="pt-2">
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Asignar a todas las etiquetas <span class="propiedad">box-sizing</span> a <span class="valor-css">border-box</span></li>
        <li><span class="etiqueta">body</span>, margin a 0</li>
        <li><span class="etiqueta">li</span>, eliminar todos los floats</li>
        <li><span class="etiqueta">article</span>, centrado, padding de 2em y ancho del 70%</li>
        <li>Sección resultado, ancho 50%, padding de 1em y float a la derecha</li>
        <li>Imagenes de sección resultado y punto 6, centradas</li>
        <li>Sección ingredinetes, ancho 50%, padding de 1em y float a la izquierda</li>
        <li>Sección pasos, eliminar los floats</li>
        <li>Imagenes de los pasos, todas float a la derecha salvo el punto 6</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio23/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio23/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>
